Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.util
Class ReflectToJavassist

    java.lang.Object
      org.jboss.aop.util.ReflectToJavassist

public class ReflectToJavassist
extends Object

Comment

Version:
  $Revision: 1.10 $
Author:
  Bill Burke

Constructor Summary
`ReflectToJavassist()`

Method Summary
`static javassist.CtClass` | `classToJavassist(Class clazz)`
`static javassist.CtConstructor` | `constructorToJavassist(Constructor con)`
`static javassist.CtField` | `fieldToJavassist(Field field)`
`static javassist.CtMethod` | `methodToJavassist(Method method)`
`protected static String` | `simpleType(Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectToJavassist

    public ReflectToJavassist()

Method Detail

### classToJavassist

    public static javassist.CtClass classToJavassist(Class clazz)
                                              throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### fieldToJavassist

    public static javassist.CtField fieldToJavassist(Field field)
                                              throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### constructorToJavassist

    public static javassist.CtConstructor constructorToJavassist(Constructor con)
                                                          throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### simpleType

    protected static String simpleType(Class type)

### methodToJavassist

    public static javassist.CtMethod methodToJavassist(Method method)
                                                throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.